> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

---
id: aced3789-cb60-4802-b536-07a1dbd0dffe
---

# Create a group of timeline events

> Update an existing property for a specified timeline event type. The id passed in the JSON body needs to match the id of an existing property or this will return a 404 error.  Properties cannot be moved from one event type to another, so the eventTypeId included in the JSON body must match the event-type-id in the URL. Please note that the name cannot be updated.

> [accordion] Scope requirements

Update an existing property for a specified timeline event type. The id passed in the JSON body needs to match the id of an existing property or this will return a 404 error.  Properties cannot be moved from one event type to another, so the eventTypeId included in the JSON body must match the event-type-id in the URL. Please note that the name cannot be updated.


## OpenAPI

````yaml specs/legacy/v1/crm-timeline-v1.json POST /integrations/v1/{application-id}/timeline/event/batch
openapi: 3.0.0
info:
  title: CRM Timeline Events API v1
  version: 1.0.0
  description: Legacy CRM Timeline Events API v1 - Auto-generated from MDX documentation
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /integrations/v1/{application-id}/timeline/event/batch:
    post:
      summary: Create a group of timeline events
      description: "Update an existing property for a specified timeline event type. The id passed in the JSON body needs to match the id of an existing property or this will return a 404 error. \_Properties cannot be moved from one event type to another, so the\_eventTypeId included in the\_JSON body must match the event-type-id in the URL. Please note that the name cannot be updated."
      operationId: postintegrationsv1applicationidtimelineeventbatch
      responses:
        '200':
          description: >-
            Successful response - Update an existing property for a specified
            timeline event type
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Create a group of timeline events - Example 1
                  value:
                    eventWrappers:
                      - id: '789'
                        objectId: 27
                        eventTypeId: '123'
                        timestamp: '1491062400000'
                      - id: '790'
                        email: test@test.com
                        eventTypeId: '123'
                        timeprop: '1491105600000'
                        extraData:
                          name: JohnDoe
                          weather: Cloudy

````